[21.04 FEAT] KVM enablement for enhanced hardware diagnose data of guest kernel - qemu part

Bug #1853314 reported by bugproxy
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
Fix Released
Medium
Canonical Server Team
qemu (Ubuntu)
Fix Released
Undecided
Skipper Bug Screeners

Bug Description

KVM enablement for enhanced hardware diagnose data of guest kernel

bugproxy (bugproxy)
tags: added: architecture-s39064 bugnameltc-182249 severity-high targetmilestone-inin2004
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → linux (Ubuntu)
Revision history for this message
Frank Heimes (fheimes) wrote :

Please specify the planned qemu target release this is going to become upstream accepted.
Will it come with 4.2?
Changing to Incomplete for now.

affects: linux (Ubuntu) → qemu (Ubuntu)
Changed in qemu (Ubuntu):
status: New → Incomplete
Changed in ubuntu-z-systems:
status: New → Incomplete
importance: Undecided → Medium
assignee: nobody → Canonical Server Team (canonical-server)
Frank Heimes (fheimes)
tags: added: qemu-20.04
Revision history for this message
Christian Ehrhardt  (paelzer) wrote :

Hi,
did this get into qemu 4.2 or git already?

Revision history for this message
bugproxy (bugproxy) wrote : Comment bridged from LTC Bugzilla

------- Comment From <email address hidden> 2020-01-28 04:15 EDT-------
This feature will be completed soon. Will let you know the upstream information once available....

Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2020-01-28 06:19 EDT-------
Thererfore not available qemu 4.2 ! Need to be applied on top.

Revision history for this message
Christian Ehrhardt  (paelzer) wrote : Re: [20.04 FEAT] KVM enablement for enhanced hardware diagnose data of guest kernel - qemu part

Ok, send me upstream commits that need to go on top of 4.2 when they are ready.

Reminder: Feature Freeze is the 27th of February - add some test and delay and you have ~2 weeks from now on.

summary: - [20.04 FEAT] KVM enablement for enhanced hardware diagnose data of guest
+ [20.10 FEAT] KVM enablement for enhanced hardware diagnose data of guest
kernel - qemu part
Revision history for this message
bugproxy (bugproxy) wrote : Comment bridged from LTC Bugzilla

------- Comment From <email address hidden> 2020-02-03 08:39 EDT-------
Feature will not make it in time for Ubuntu 20.04.
Therefore move target to 20.10

tags: added: targetmilestone-inin2010
removed: targetmilestone-inin2004
Frank Heimes (fheimes)
tags: added: qemu-20.10
removed: qemu-20.04
Revision history for this message
Christian Ehrhardt  (paelzer) wrote : Re: [20.10 FEAT] KVM enablement for enhanced hardware diagnose data of guest kernel - qemu part

Hi, did this get into qemu 5.0?
or into -dev to be eventually in 5.1?

Revision history for this message
bugproxy (bugproxy) wrote : Comment bridged from LTC Bugzilla

------- Comment From <email address hidden> 2020-06-16 05:41 EDT-------
patches are on the mailing list being discussed

summary: - [20.10 FEAT] KVM enablement for enhanced hardware diagnose data of guest
+ [21.04 FEAT] KVM enablement for enhanced hardware diagnose data of guest
kernel - qemu part
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2020-08-27 02:24 EDT-------
Feature request moved to 21.04. Will not make it in time for 20.10

tags: added: targetmilestone-inin2104
removed: targetmilestone-inin2010
Frank Heimes (fheimes)
tags: added: qemu-21.04
removed: qemu-20.10
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2020-10-21 09:50 EDT-------
There are two fix patches incoming which also will need backporting once they are merged upstream:

https://<email address hidden>/T/#t

Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2020-10-23 07:22 EDT-------
The fixes have been picked by the maintainer:
https://github.com/cohuck/qemu/commits/s390-next

I'm still waiting for additional fixes from Collin.

Revision history for this message
bugproxy (bugproxy) wrote :
Frank Heimes (fheimes)
information type: Private → Public
Revision history for this message
Christian Ehrhardt  (paelzer) wrote :

Those are all three in qemu 5.2.0 which is already in Ubuntu 21.04
=> https://launchpad.net/ubuntu/+source/qemu/1:5.2+dfsg-3ubuntu1

Changed in qemu (Ubuntu):
status: Incomplete → Fix Released
Changed in ubuntu-z-systems:
status: Incomplete → Fix Released
Revision history for this message
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2021-02-04 07:17 EDT-------
IBM Bugzilla status->closed, Fix released with hirsuite

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers